ContactsContact Lists

Update Contact List

Update a contact list's name, icon, or filter criteria.

Update the name, icon, or filter criteria of an existing contact list.

Required: Contacts > Write

POST
/updateContactList

Authorization

bearerToken

AuthorizationBearer <token>

API token for YourGPT Public APIs. Create tokens in Settings > API Tokens in your YourGPT dashboard.

In: header

Request Body

application/json

project_uid*string

Your project's unique identifier.

list_id*integer

The contact list ID.

name?string

Updated list name.

filter_by?object

Updated filter configuration.

icon?string

Updated icon identifier.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://api.yourgpt.ai/chatbot/v1/updateContactList" \  -H "Content-Type: application/json" \  -d '{    "project_uid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",    "list_id": 5  }'
{
  "type": "RXSUCCESS",
  "message": "Data Updated Successfully!"
}
{
  "type": "RXERROR",
  "message": "Invalid params"
}
{
  "type": "RXERROR",
  "message": "Invalid or revoked API token"
}
{
  "type": "RXERROR",
  "message": "You do not have permission to perform this action"
}